Skip to main content
POST
/
environments
/
{environmentId}
/
exports
Create a new export request for the project environment
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/exports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "format": "csv"
}
'
{
  "id": "95b11417-f18f-457f-8804-68e361f9164f",
  "format": "csv",
  "createdAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "downloadUrl": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Request body to create a new export.

format
enum<string>
required
Available options:
csv
model
enum<string>
required
Available options:
users,
visits

Response

Successfully created export

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

format
enum<string>
required
Available options:
csv
model
enum<string>
required
Available options:
users,
visits
status
enum<string>
required
Available options:
completed,
failed,
pending
createdAt
string<date-time>
required

ISO 8601 timestamp of when the export was requested

startedAt
string<date-time> | null

ISO 8601 timestamp of when the export processing began

completedAt
string<date-time> | null

ISO 8601 timestamp of when the export finished processing

downloadUrl
string<url>

Pre-signed URL to download the exported file (available after completion)

error
string

When defined, this is the error message and stack trace received when attempting to process the export.

Last modified on January 21, 2026